#Hide PowerShell Console#
Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow();
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'
$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0)

#Press Keys#
$source = @"
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.InteropServices;
using System.Windows.Forms;
namespace KeyboardSend
{
    public class KeyboardSend
    {
        [DllImport("user32.dll")]
        public static extern void keybd_event(byte bVk, byte bScan, int dwFlags, int dwExtraInfo);
        private const int KEYEVENTF_EXTENDEDKEY = 1;
        private const int KEYEVENTF_KEYUP = 2;
        public static void KeyDown(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY, 0);
        }
        public static void KeyUp(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY | KEYEVENTF_KEYUP, 0);
        }
    }
}
"@

Add-Type -TypeDefinition $source -ReferencedAssemblies "System.Windows.Forms"

#### Initial Setup #################################################################
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")  
$Form = New-Object System.Windows.Forms.Form
$Form.FormBorderStyle = [System.Windows.Forms.FormBorderStyle]::FixedSingle
$Form.StartPosition = "CenterScreen" #loads the window in the center of the screen
#### Disable Minimize And Maximize Box #############################################
$Form.MinimizeBox = $False
$Form.MaximizeBox = $False
#### Disable Exit ##################################################################
$Form.Add_FormClosing({$_.Cancel=$True})
#### Window Stuff ##################################################################
$Form.WindowState = "Normal"
$Form.SizeGripStyle = "Hide"
#### Change Icon ###################################################################
$Form.Icon = [system.drawing.icon]::ExtractAssociatedIcon("C:\Windows\System32\WSReset.exe")
#### Bring To Front #################################################################
$Form.Topmost = $true
$Form.Topmost = $false

# if (!($status)) { $status = "1" }

# +2 For Every 64x64 ####################################################################
$Form.Size = New-Object System.Drawing.Size(528,616)
if ( $status -eq "1" ) { $action = "Uninstall" } Else { $action = "Install" }
# $Form.Text = "Windows 10 App Manager - Click An App To " + $action + " It - [By MarioMasta64]"
$Form.Text = "Windows 10 App Manager - Click An App To Toggle It - [By MarioMasta64]"

#### Group boxes for buttons ########################################################
$groupBox = New-Object System.Windows.Forms.GroupBox
$groupBox.Location = New-Object System.Drawing.Size(0,0) 
$groupBox.size = New-Object System.Drawing.Size(512,576)
#### $groupBox.text = "DC Health checks:"
$Form.Controls.Add($groupBox)

#### Shorten ####
$IconsFolder = "" + $PSScriptRoot + "\icons\"
$DefaultImage = [System.Drawing.Image]::FromFile($IconsFolder + "default.png")
$ExtensionsImage = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$DefaultDrawingSize = New-Object System.Drawing.Size(64,64)
$WideDrawingSize = New-Object System.Drawing.Size(128,64)

#### cr1 ####
$3DBuilder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.3DBuilder.png")
$AppsConnector = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.AppConnector.png")
$BingFinance = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingFinance.png")
$BingNews = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingNews.png")
$BingSports = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingSports.png")
$BingWeather = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingWeather.png")
$DesktopAppInstaller = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.DesktopAppInstaller.png")
$GetHelp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetHelp.png")
$GetStarted = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetStarted.png")
$Messaging = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Messaging.png")
$Microsoft3DViewer = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Microsoft3DViewer.png")
$MicrosoftHoloLens = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftHoloLens.png")
$MicrosoftOfficeHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftOfficeHub.png")
$MicrosoftSolitaireCollection = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftSolitaireCollection.png")
$MicrosoftStickyNotes = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftStickyNotes.png")
$MixedRealityPortal = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MixedReality.Portal.png")
$MSPaint = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MSPaint.png")
$OfficeOneNote = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.OneNote.png")
$OfficeSway = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.Sway.png")
$OneConnect = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.OneConnect.png")
$People = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.People.png")
$Print3D = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Print3D.png")
$ScreenSketch = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ScreenSketch.png")
$StorePurchaseApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.StorePurchaseApp.png")
$SkypeApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.SkypeApp.png")
$Wallet = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Wallet.png")
$WindowsAlarm = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsAlarms.png")
$WindowsCalculator = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCalculator.png")
$WindowsCamera = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCamera.png")
$WindowsCommunicationsApps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps.png")
$WindowsCommunicationsApps_Calendar = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Calendar.png")
$WindowsCommunicationsApps_Mail = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Mail.png")
$WindowsFeedbackHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsFeedbackHub.png")
$WindowsMaps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsMaps.png")
$WindowsPhotos = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Windows.Photos.png")
$WindowsSoundRecorder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsSoundRecorder.png")
$WindowsStore = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsStore.png")
$XboxApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxApp.png")
$XboxGameOverlay = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxGameOverlay.png")
$YourPhone = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.YourPhone.png")
$ZuneMusic = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneMusic.png")
$ZuneVideo = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneVideo.png")

$HEIFImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$MPEG2VideoExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$VP9VideoExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebMediaExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebpImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

$QuickAssist = [System.Drawing.Image]::FromFile($IconsFolder + "App.Support.QuickAssist.png")

#### Cursors ####
$AppStartingCursor = [System.Windows.Forms.Cursors]::AppStarting
$ArrowCursor = [System.Windows.Forms.Cursors]::Arrow
$CrossCursor = [System.Windows.Forms.Cursors]::Cross
$DefaultCursor = [System.Windows.Forms.Cursors]::Default
$HandCursor = [System.Windows.Forms.Cursors]::Hand
$HelpCursor = [System.Windows.Forms.Cursors]::Help
$HSplitCursor = [System.Windows.Forms.Cursors]::HSplit
$IBeamCursor = [System.Windows.Forms.Cursors]::IBeam
$NoCursor = [System.Windows.Forms.Cursors]::No
$NoMove2DCursor = [System.Windows.Forms.Cursors]::NoMove2D
$NoMoveHorizCursor = [System.Windows.Forms.Cursors]::NoMoveHoriz
$NoMoveVertCursor = [System.Windows.Forms.Cursors]::NoMoveVert
$PanEastCursor = [System.Windows.Forms.Cursors]::PanEast
$PanNECursor = [System.Windows.Forms.Cursors]::PanNE
$PanNorthCursor = [System.Windows.Forms.Cursors]::PanNorth
$PanNWCursor = [System.Windows.Forms.Cursors]::PanNW
$PanSECursor = [System.Windows.Forms.Cursors]::PanSE
$PanSouthCursor = [System.Windows.Forms.Cursors]::PanSouth
$PanSWCursor = [System.Windows.Forms.Cursors]::PanSW
$PanWestCursor = [System.Windows.Forms.Cursors]::PanWest
$SizeAllCursor = [System.Windows.Forms.Cursors]::SizeAll
$SizeNESWCursor = [System.Windows.Forms.Cursors]::SizeNESW
$SizeNSCursor = [System.Windows.Forms.Cursors]::SizeNS
$SizeNWSECursor = [System.Windows.Forms.Cursors]::SizeNWSE
$SizeWECursor = [System.Windows.Forms.Cursors]::SizeWE
$UpArrowCursor = [System.Windows.Forms.Cursors]::UpArrow
$VSplitCursor = [System.Windows.Forms.Cursors]::VSplit
$WaitCursor = [System.Windows.Forms.Cursors]::WaitCursor

$Flat = [System.Windows.Forms.FlatStyle]::Flat
$Pop = [System.Windows.Forms.FlatStyle]::Standard

function CurrentInstallCheck { del .\test.txt; Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\test.txt }
function AllInstallCheck { del .\test.txt; Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\test.txt }




$Apps1 = New-Object System.Windows.Forms.Button
$Apps1.Location = New-Object System.Drawing.Size(0,0)
$Apps1.Size = $DefaultDrawingSize
$Apps1.BackgroundImage = $3DBuilder
$Apps1.BackgroundImageLayout = "Zoom"
$Apps1.Add_Click({
	$Apps1.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
	if ($SEL -ne $null) {
		get-appxpackage *3DBuilder* | remove-appxpackage
		$Apps1.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *3DBuilder* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps1.FlatStyle = $Pop
	}
	$Apps1.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
if ($SEL -eq $null) {
	$Apps1.Text = "3D Builder"
	$Apps1.Enabled = $false
	$Apps1.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "3DBuilder"
if ($SEL -eq $null) {
	$Apps1.FlatStyle = $Flat
} else {
	$Apps1.FlatStyle = $Pop
}



$Apps2 = New-Object System.Windows.Forms.Button
$Apps2.Location = New-Object System.Drawing.Size(64,0)
$Apps2.Size = $DefaultDrawingSize
# $Apps2.Text = "b"
$Apps2.BackgroundImage = $WindowsAlarm
$Apps2.BackgroundImageLayout = "Zoom"
$Apps2.Add_Click({
	$Apps2.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Alarm"
	if ($SEL -ne $null) {
		get-appxpackage *Alarm* | remove-appxpackage
		$Apps2.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Alarm* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps2.FlatStyle = $Pop
	}
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
	$Apps2.Cursor = $HandCursor
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Alarm"
if ($SEL -eq $null) {
	$Apps2.Text = "Alarms && Clock"
	$Apps2.Enabled = $false
	$Apps2.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Alarm"
if ($SEL -eq $null) {
	$Apps2.FlatStyle = $Flat
} else {
	$Apps2.FlatStyle = $Pop
}


 
$Apps3 = New-Object System.Windows.Forms.Button
$Apps3.Location = New-Object System.Drawing.Size(128,0)
$Apps3.Size = $DefaultDrawingSize
$Apps3.Text = "App Connector" # temporary till icon
# $Apps3.Image = $DefaultImage
# $Apps3.BackgroundImageLayout = "Zoom"
$Apps3.Add_Click({
	$Apps3.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
	if ($SEL -ne $null) {
		get-appxpackage *AppConnector* | remove-appxpackage
		$Apps3.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *AppConnector* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps3.FlatStyle = $Pop
	}
	$Apps3.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
if ($SEL -eq $null) {
	$Apps3.Text = "App Connector"
	$Apps3.Enabled = $false
	$Apps3.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "AppConnector"
if ($SEL -eq $null) {
	$Apps3.FlatStyle = $Flat
} else {
	$Apps3.FlatStyle = $Pop
}


 
$Apps4 = New-Object System.Windows.Forms.Button
$Apps4.Location = New-Object System.Drawing.Size(192,0)
$Apps4.Size = $DefaultDrawingSize
$Apps4.BackgroundImage = $DesktopAppInstaller
$Apps4.BackgroundImageLayout = "Zoom"
$Apps4.Add_Click({
	$Apps4.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
	if ($SEL -ne $null) {
		get-appxpackage *AppInstaller* | remove-appxpackage
		$Apps4.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *AppInstaller* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps4.FlatStyle = $Pop
	}
	$Apps4.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
if ($SEL -eq $null) {
	$Apps4.Text = "App Installer"
	$Apps4.Enabled = $false
	$Apps4.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "AppInstaller"
if ($SEL -eq $null) {
	$Apps4.FlatStyle = $Flat
} else {
	$Apps4.FlatStyle = $Pop
}



$Apps5 = New-Object System.Windows.Forms.Button
$Apps5.Location = New-Object System.Drawing.Size(256,0)
$Apps5.Size = $WideDrawingSize
$Apps5.BackgroundImage = $WindowsCommunicationsApps
$Apps5.BackgroundImageLayout = "Zoom"
$Apps5.Add_Click({
	$Apps5.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
	if ($SEL -ne $null) {
		get-appxpackage *CommunicationsApps* | remove-appxpackage
		$Apps5.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *CommunicationsApps* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps5.FlatStyle = $Pop
	}
	$Apps5.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
if ($SEL -eq $null) {
	$Apps5.Text = "Calendar and Mail"
	$Apps5.Enabled = $false
	$Apps5.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "CommunicationsApps"
if ($SEL -eq $null) {
	$Apps5.FlatStyle = $Flat
} else {
	$Apps5.FlatStyle = $Pop
}



$Apps7 = New-Object System.Windows.Forms.Button
$Apps7.Location = New-Object System.Drawing.Size(384,0)
$Apps7.Size = $DefaultDrawingSize
$Apps7.BackgroundImage = $WindowsCalculator
$Apps7.BackgroundImageLayout = "Zoom"
$Apps7.Add_Click({
	$Apps7.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
	if ($SEL -ne $null) {
		get-appxpackage *Calculator* | remove-appxpackage
		$Apps7.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Calculator* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps7.FlatStyle = $Pop
	}
	$Apps7.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
if ($SEL -eq $null) {
	$Apps7.Text = "Calculator"
	$Apps7.Enabled = $false
	$Apps7.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Calculator"
if ($SEL -eq $null) {
	$Apps7.FlatStyle = $Flat
} else {
	$Apps7.FlatStyle = $Pop
}


 
$Apps8 = New-Object System.Windows.Forms.Button
$Apps8.Location = New-Object System.Drawing.Size(448,0)
$Apps8.Size = $DefaultDrawingSize
$Apps8.BackgroundImage = $WindowsCamera
$Apps8.BackgroundImageLayout = "Zoom"
$Apps8.Add_Click({
	$Apps8.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Camera"
	if ($SEL -ne $null) {
		get-appxpackage *Camera* | remove-appxpackage
		$Apps8.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Camera* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps8.FlatStyle = $Pop
	}
	$Apps8.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Camera"
if ($SEL -eq $null) {
	$Apps8.Text = "Camera"
	$Apps8.Enabled = $false
	$Apps8.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Camera"
if ($SEL -eq $null) {
	$Apps8.FlatStyle = $Flat
} else {
	$Apps8.FlatStyle = $Pop
}



$Apps9 = New-Object System.Windows.Forms.Button
$Apps9.Location = New-Object System.Drawing.Size(0,64)
$Apps9.Size = $DefaultDrawingSize
$Apps9.BackgroundImage = $WindowsFeedbackHub
$Apps9.BackgroundImageLayout = "Zoom"
$Apps9.Add_Click({
	$Apps9.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
	if ($SEL -ne $null) {
		get-appxpackage *Feedback* | remove-appxpackage
		$Apps9.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Feedback* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps9.FlatStyle = $Pop
	}
	$Apps9.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
if ($SEL -eq $null) {
	$Apps9.Text = "Feedback Hub"
	$Apps9.Enabled = $false
	$Apps9.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Feedback"
if ($SEL -eq $null) {
	$Apps9.FlatStyle = $Flat
} else {
	$Apps9.FlatStyle = $Pop
}



$Apps10 = New-Object System.Windows.Forms.Button
$Apps10.Location = New-Object System.Drawing.Size(64,64)
$Apps10.Size = $DefaultDrawingSize
$Apps10.BackgroundImage = $GetHelp
$Apps10.BackgroundImageLayout = "Zoom"
$Apps10.Add_Click({
	$Apps10.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
	if ($SEL -ne $null) {
		get-appxpackage *GetHelp* | remove-appxpackage
		$Apps10.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *GetHelp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps10.FlatStyle = $Pop
	}
	$Apps10.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
if ($SEL -eq $null) {
	$Apps10.Text = "Get Help"
	$Apps10.Enabled = $false
	$Apps10.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "GetHelp"
if ($SEL -eq $null) {
	$Apps10.FlatStyle = $Flat
} else {
	$Apps10.FlatStyle = $Pop
}



$Apps11 = New-Object System.Windows.Forms.Button
$Apps11.Location = New-Object System.Drawing.Size(128,64)
$Apps11.Size = $DefaultDrawingSize
$Apps11.BackgroundImage = $MicrosoftOfficeHub
$Apps11.BackgroundImageLayout = "Zoom"
$Apps11.Add_Click({
	$Apps11.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
	if ($SEL -ne $null) {
		get-appxpackage *OfficeHub* | remove-appxpackage
		$Apps11.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *OfficeHub* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps11.FlatStyle = $Pop
	}
	$Apps11.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
if ($SEL -eq $null) {
	$Apps11.Text = "Get Office"
	$Apps11.Enabled = $false
	$Apps11.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OfficeHub"
if ($SEL -eq $null) {
	$Apps11.FlatStyle = $Flat
} else {
	$Apps11.FlatStyle = $Pop
}



$Apps12 = New-Object System.Windows.Forms.Button
$Apps12.Location = New-Object System.Drawing.Size(192,64)
$Apps12.Size = $DefaultDrawingSize
$Apps12.BackgroundImage = $GetStarted
$Apps12.BackgroundImageLayout = "Zoom"
$Apps12.Add_Click({
	$Apps12.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
	if ($SEL -ne $null) {
		get-appxpackage *GetStarted* | remove-appxpackage
		$Apps12.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *GetStarted* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps12.FlatStyle = $Pop
	}
	$Apps12.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
if ($SEL -eq $null) {
	$Apps12.Text = "Get Started"
	$Apps12.Enabled = $false
	$Apps12.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "GetStarted"
if ($SEL -eq $null) {
	$Apps12.FlatStyle = $Flat
} else {
	$Apps12.FlatStyle = $Pop
}



$Apps13 = New-Object System.Windows.Forms.Button
$Apps13.Location = New-Object System.Drawing.Size(256,64)
$Apps13.Size = $DefaultDrawingSize
$Apps13.BackgroundImage = $SkypeApp
$Apps13.BackgroundImageLayout = "Zoom"
$Apps13.Add_Click({
	$Apps13.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
	if ($SEL -ne $null) {
		get-appxpackage *SkypeApp* | remove-appxpackage
		$Apps13.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *SkypeApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps13.FlatStyle = $Pop
	}
	$Apps13.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
if ($SEL -eq $null) {
	$Apps13.Text = "Get Skype"
	$Apps13.Enabled = $false
	$Apps13.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SkypeApp"
if ($SEL -eq $null) {
	$Apps13.FlatStyle = $Flat
} else {
	$Apps13.FlatStyle = $Pop
}



$Apps14 = New-Object System.Windows.Forms.Button
$Apps14.Location = New-Object System.Drawing.Size(320,64)
$Apps14.Size = $DefaultDrawingSize
$Apps14.BackgroundImage = $ZuneMusic
$Apps14.BackgroundImageLayout = "Zoom"
$Apps14.Add_Click({
	$Apps14.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
	if ($SEL -ne $null) {
		get-appxpackage *ZuneMusic* | remove-appxpackage
		$Apps14.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *ZuneMusic* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps14.FlatStyle = $Pop
	}
	$Apps14.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
if ($SEL -eq $null) {
	$Apps14.Text = "Groove Music"
	$Apps14.Enabled = $false
	$Apps14.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ZuneMusic"
if ($SEL -eq $null) {
	$Apps14.FlatStyle = $Flat
} else {
	$Apps14.FlatStyle = $Pop
}



$Apps15 = New-Object System.Windows.Forms.Button
$Apps15.Location = New-Object System.Drawing.Size(384,64)
$Apps15.Size = $DefaultDrawingSize
$Apps15.BackgroundImage = $WindowsMaps
$Apps15.BackgroundImageLayout = "Zoom"
$Apps15.Add_Click({
	$Apps15.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Maps"
	if ($SEL -ne $null) {
		get-appxpackage *Maps* | remove-appxpackage
		$Apps15.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Maps* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps15.FlatStyle = $Pop
	}
	$Apps15.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Maps"
if ($SEL -eq $null) {
	$Apps15.Text = "Maps"
	$Apps15.Enabled = $false
	$Apps15.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Maps"
if ($SEL -eq $null) {
	$Apps15.FlatStyle = $Flat
} else {
	$Apps15.FlatStyle = $Pop
}



$Apps16 = New-Object System.Windows.Forms.Button
$Apps16.Location = New-Object System.Drawing.Size(448,64)
$Apps16.Size = $DefaultDrawingSize
$Apps16.BackgroundImage = $Messaging
$Apps16.BackgroundImageLayout = "Zoom"
$Apps16.Add_Click({
	$Apps16.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
	if ($SEL -ne $null) {
		get-appxpackage *Messaging* | remove-appxpackage
		$Apps16.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Messaging* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps16.FlatStyle = $Pop
	}
	$Apps16.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
if ($SEL -eq $null) {
	$Apps16.Text = "Messaging and Skype Video"
	$Apps16.Enabled = $false
	$Apps16.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Messaging"
if ($SEL -eq $null) {
	$Apps16.FlatStyle = $Flat
} else {
	$Apps16.FlatStyle = $Pop
}



$Apps17 = New-Object System.Windows.Forms.Button
$Apps17.Location = New-Object System.Drawing.Size(0,128)
$Apps17.Size = $DefaultDrawingSize
$Apps17.BackgroundImage = $MicrosoftSolitaireCollection
$Apps17.BackgroundImageLayout = "Zoom"
$Apps17.Add_Click({
	$Apps17.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
	if ($SEL -ne $null) {
		get-appxpackage *SolitaireCollection* | remove-appxpackage
		$Apps17.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *SolitaireCollection* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps17.FlatStyle = $Pop
	}
	$Apps17.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
if ($SEL -eq $null) {
	$Apps17.Text = "Microsoft Solitaire Collection"
	$Apps17.Enabled = $false
	$Apps17.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SolitaireCollection"
if ($SEL -eq $null) {
	$Apps17.FlatStyle = $Flat
} else {
	$Apps17.FlatStyle = $Pop
}



$Apps18 = New-Object System.Windows.Forms.Button
$Apps18.Location = New-Object System.Drawing.Size(64,128)
$Apps18.Size = $DefaultDrawingSize
$Apps18.BackgroundImage = $Wallet
$Apps18.BackgroundImageLayout = "Zoom"
$Apps18.Add_Click({
	$Apps18.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
	if ($SEL -ne $null) {
		get-appxpackage *Wallet* | remove-appxpackage
		$Apps18.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Wallet* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps18.FlatStyle = $Pop
	}
	$Apps18.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
if ($SEL -eq $null) {
	$Apps18.Text = "Microsoft Wallet"
	$Apps18.Enabled = $false
	$Apps18.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Wallet"
if ($SEL -eq $null) {
	$Apps18.FlatStyle = $Flat
} else {
	$Apps18.FlatStyle = $Pop
}



$Apps19 = New-Object System.Windows.Forms.Button
$Apps19.Location = New-Object System.Drawing.Size(128,128)
$Apps19.Size = $DefaultDrawingSize
$Apps19.Text = "Microsoft Wi-Fi" # temporary till icon
# $Apps19.BackgroundImage = $DefaultImage
# $Apps19.BackgroundImageLayout = "Zoom"
$Apps19.Add_Click({
	$Apps19.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
	if ($SEL -ne $null) {
		get-appxpackage *ConnectivityStore* | remove-appxpackage
		$Apps19.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *ConnectivityStore* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps19.FlatStyle = $Pop
	}
	$Apps19.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
if ($SEL -eq $null) {
	$Apps19.Text = "Microsoft Wi-Fi"
	$Apps19.Enabled = $false
	$Apps19.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ConnectivityStore"
if ($SEL -eq $null) {
	$Apps19.FlatStyle = $Flat
} else {
	$Apps19.FlatStyle = $Pop
}



$Apps20 = New-Object System.Windows.Forms.Button
$Apps20.Location = New-Object System.Drawing.Size(192,128)
$Apps20.Size = $DefaultDrawingSize
$Apps20.BackgroundImage = $MixedRealityPortal
$Apps20.BackgroundImageLayout = "Zoom"
$Apps20.Add_Click({
	$Apps20.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
	if ($SEL -ne $null) {
		get-appxpackage *MixedReality* | remove-appxpackage
		$Apps20.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *MixedReality* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps20.FlatStyle = $Pop
	}
	$Apps20.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
if ($SEL -eq $null) {
	$Apps20.Text = "Mixed Reality"
	$Apps20.Enabled = $false
	$Apps20.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MixedReality"
if ($SEL -eq $null) {
	$Apps20.FlatStyle = $Flat
} else {
	$Apps20.FlatStyle = $Pop
}



$Apps21 = New-Object System.Windows.Forms.Button
$Apps21.Location = New-Object System.Drawing.Size(256,128)
$Apps21.Size = $DefaultDrawingSize
$Apps21.BackgroundImage = $BingFinance
$Apps21.BackgroundImageLayout = "Zoom"
$Apps21.Add_Click({
	$Apps21.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
	if ($SEL -ne $null) {
		get-appxpackage *BingFinance* | remove-appxpackage
		$Apps21.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *BingFinance* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps21.FlatStyle = $Pop
	}
	$Apps21.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
if ($SEL -eq $null) {
	$Apps21.Text = "Money"
	$Apps21.Enabled = $false
	$Apps21.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingFinance"
if ($SEL -eq $null) {
	$Apps21.FlatStyle = $Flat
} else {
	$Apps21.FlatStyle = $Pop
}



$Apps22 = New-Object System.Windows.Forms.Button
$Apps22.Location = New-Object System.Drawing.Size(320,128)
$Apps22.Size = $DefaultDrawingSize
$Apps22.BackgroundImage = $ZuneVideo
$Apps22.BackgroundImageLayout = "Zoom"
$Apps22.Add_Click({
	$Apps22.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
	if ($SEL -ne $null) {
		get-appxpackage *ZuneVideo* | remove-appxpackage
		$Apps22.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *ZuneVideo* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps22.FlatStyle = $Pop
	}
	$Apps22.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
if ($SEL -eq $null) {
	$Apps22.Text = "Movies && TV"
	$Apps22.Enabled = $false
	$Apps22.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ZuneVideo"
if ($SEL -eq $null) {
	$Apps22.FlatStyle = $Flat
} else {
	$Apps22.FlatStyle = $Pop
}



$Apps23 = New-Object System.Windows.Forms.Button
$Apps23.Location = New-Object System.Drawing.Size(384,128)
$Apps23.Size = $DefaultDrawingSize
$Apps23.BackgroundImage = $BingNews
$Apps23.BackgroundImageLayout = "Zoom"
$Apps23.Add_Click({
	$Apps23.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
	if ($SEL -ne $null) {
		get-appxpackage *BingNews* | remove-appxpackage
		$Apps23.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *BingNews* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps23.FlatStyle = $Pop
	}
	$Apps23.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
if ($SEL -eq $null) {
	$Apps23.Text = "News"
	$Apps23.Enabled = $false
	$Apps23.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingNews"
if ($SEL -eq $null) {
	$Apps23.FlatStyle = $Flat
} else {
	$Apps23.FlatStyle = $Pop
}



$Apps24 = New-Object System.Windows.Forms.Button
$Apps24.Location = New-Object System.Drawing.Size(448,128)
$Apps24.Size = $DefaultDrawingSize
$Apps24.BackgroundImage = $OfficeOneNote
$Apps24.BackgroundImageLayout = "Zoom"
$Apps24.Add_Click({
	$Apps24.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
	if ($SEL -ne $null) {
		get-appxpackage *OneNote* | remove-appxpackage
		$Apps24.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *OneNote* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps24.FlatStyle = $Pop
	}
	$Apps24.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
if ($SEL -eq $null) {
	$Apps24.Text = "OneNote"
	$Apps24.Enabled = $false
	$Apps24.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OneNote"
if ($SEL -eq $null) {
	$Apps24.FlatStyle = $Flat
} else {
	$Apps24.FlatStyle = $Pop
}



$Apps25 = New-Object System.Windows.Forms.Button
$Apps25.Location = New-Object System.Drawing.Size(0,192)
$Apps25.Size = $DefaultDrawingSize
$Apps25.BackgroundImage = $OneConnect
$Apps25.BackgroundImageLayout = "Zoom"
$Apps25.Add_Click({
	$Apps25.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
	if ($SEL -ne $null) {
		get-appxpackage *OneConnect* | remove-appxpackage
		$Apps25.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *OneConnect* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps25.FlatStyle = $Pop
	}
	$Apps25.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
if ($SEL -eq $null) {
	$Apps25.Text = "Paid Wi-Fi && Cellular"
	$Apps25.Enabled = $false
	$Apps25.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "OneConnect"
if ($SEL -eq $null) {
	$Apps25.FlatStyle = $Flat
} else {
	$Apps25.FlatStyle = $Pop
}



$Apps26 = New-Object System.Windows.Forms.Button
$Apps26.Location = New-Object System.Drawing.Size(64,192)
$Apps26.Size = $DefaultDrawingSize
$Apps26.BackgroundImage = $MSPaint
$Apps26.BackgroundImageLayout = "Zoom"
$Apps26.Add_Click({
	$Apps26.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
	if ($SEL -ne $null) {
		get-appxpackage *MSPaint* | remove-appxpackage
		$Apps26.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *MSPaint* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps26.FlatStyle = $Pop
	}
	$Apps26.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
if ($SEL -eq $null) {
	$Apps26.Text = "Paint 3D"
	$Apps26.Enabled = $false
	$Apps26.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MSPaint"
if ($SEL -eq $null) {
	$Apps26.FlatStyle = $Flat
} else {
	$Apps26.FlatStyle = $Pop
}



$Apps27 = New-Object System.Windows.Forms.Button
$Apps27.Location = New-Object System.Drawing.Size(128,192)
$Apps27.Size = $DefaultDrawingSize
$Apps27.BackgroundImage = $People
$Apps27.BackgroundImageLayout = "Zoom"
$Apps27.Add_Click({
	$Apps27.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "People "
	if ($SEL -ne $null) {
		get-appxpackage *People* | remove-appxpackage
		$Apps27.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *People* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps27.FlatStyle = $Pop
	}
	$Apps27.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "People "
if ($SEL -eq $null) {
	$Apps27.Text = "People"
	$Apps27.Enabled = $false
	$Apps27.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "People "
if ($SEL -eq $null) {
	$Apps27.FlatStyle = $Flat
} else {
	$Apps27.FlatStyle = $Pop
}



$Apps28 = New-Object System.Windows.Forms.Button
$Apps28.Location = New-Object System.Drawing.Size(192,192)
$Apps28.Size = $DefaultDrawingSize
$Apps28.Text = "Phone" # temporary till icon
# $Apps28.BackgroundImage = $DefaultImage
# $Apps28.BackgroundImageLayout = "Zoom"
$Apps28.Add_Click({
	$Apps28.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
	if ($SEL -ne $null) {
		get-appxpackage *CommsPhone* | remove-appxpackage
		$Apps28.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *CommsPhone* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps28.FlatStyle = $Pop
	}
	$Apps28.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
if ($SEL -eq $null) {
	$Apps28.Text = "Phone"
	$Apps28.Enabled = $false
	$Apps28.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "CommsPhone"
if ($SEL -eq $null) {
	$Apps28.FlatStyle = $Flat
} else {
	$Apps28.FlatStyle = $Pop
}



$Apps29 = New-Object System.Windows.Forms.Button
$Apps29.Location = New-Object System.Drawing.Size(256,192)
$Apps29.Size = $DefaultDrawingSize
$Apps29.BackgroundImage = $YourPhone
$Apps29.BackgroundImageLayout = "Zoom"
$Apps29.Add_Click({
	$Apps29.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
	if ($SEL -ne $null) {
		get-appxpackage *YourPhone* | remove-appxpackage
		$Apps29.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *YourPhone* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps29.FlatStyle = $Pop
	}
	$Apps29.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
if ($SEL -eq $null) {
	$Apps29.Text = "Phone Companion"
	$Apps29.Enabled = $false
	$Apps29.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "YourPhone"
if ($SEL -eq $null) {
	$Apps29.FlatStyle = $Flat
} else {
	$Apps29.FlatStyle = $Pop
}



$Apps30 = New-Object System.Windows.Forms.Button
$Apps30.Location = New-Object System.Drawing.Size(320,192)
$Apps30.Size = $DefaultDrawingSize
$Apps30.BackgroundImage = $WindowsPhotos
$Apps30.BackgroundImageLayout = "Zoom"
$Apps30.Add_Click({
	$Apps30.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Photos"
	if ($SEL -ne $null) {
		get-appxpackage *Photos* | remove-appxpackage
		$Apps30.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Photos* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps30.FlatStyle = $Pop
	}
	$Apps30.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Photos"
if ($SEL -eq $null) {
	$Apps30.Text = "Photos"
	$Apps30.Enabled = $false
	$Apps30.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Photos"
if ($SEL -eq $null) {
	$Apps30.FlatStyle = $Flat
} else {
	$Apps30.FlatStyle = $Pop
}



$Apps31 = New-Object System.Windows.Forms.Button
$Apps31.Location = New-Object System.Drawing.Size(384,192)
$Apps31.Size = $DefaultDrawingSize
$Apps31.BackgroundImage = $ScreenSketch
$Apps31.BackgroundImageLayout = "Zoom"
$Apps31.Add_Click({
	$Apps31.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
	if ($SEL -ne $null) {
		get-appxpackage *ScreenSketch* | remove-appxpackage
		$Apps31.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *ScreenSketch* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps31.FlatStyle = $Pop
	}
	$Apps31.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
if ($SEL -eq $null) {
	$Apps31.Text = "Snip && Sketch"
	$Apps31.Enabled = $false
	$Apps31.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "ScreenSketch"
if ($SEL -eq $null) {
	$Apps31.FlatStyle = $Flat
} else {
	$Apps31.FlatStyle = $Pop
}



$Apps32 = New-Object System.Windows.Forms.Button
$Apps32.Location = New-Object System.Drawing.Size(448,192)
$Apps32.Size = $DefaultDrawingSize
$Apps32.BackgroundImage = $BingSports
$Apps32.BackgroundImageLayout = "Zoom"
$Apps32.Add_Click({
	$Apps32.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
	if ($SEL -ne $null) {
		get-appxpackage *BingSports* | remove-appxpackage
		$Apps32.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *BingSports* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps32.FlatStyle = $Pop
	}
	$Apps32.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
if ($SEL -eq $null) {
	$Apps32.Text = "Sports"
	$Apps32.Enabled = $false
	$Apps32.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingSports"
if ($SEL -eq $null) {
	$Apps32.FlatStyle = $Flat
} else {
	$Apps32.FlatStyle = $Pop
}



$Apps33 = New-Object System.Windows.Forms.Button
$Apps33.Location = New-Object System.Drawing.Size(0,256)
$Apps33.Size = $DefaultDrawingSize
$Apps33.BackgroundImage = $MicrosoftStickyNotes
$Apps33.BackgroundImageLayout = "Zoom"
$Apps33.Add_Click({
	$Apps33.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
	if ($SEL -ne $null) {
		get-appxpackage *StickyNotes* | remove-appxpackage
		$Apps33.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *StickyNotes* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps33.FlatStyle = $Pop
	}
	$Apps33.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
if ($SEL -eq $null) {
	$Apps33.Text = "Sticky Notes"
	$Apps33.Enabled = $false
	$Apps33.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "StickyNotes"
if ($SEL -eq $null) {
	$Apps33.FlatStyle = $Flat
} else {
	$Apps33.FlatStyle = $Pop
}



$Apps34 = New-Object System.Windows.Forms.Button
$Apps34.Location = New-Object System.Drawing.Size(64,256)
$Apps34.Size = $DefaultDrawingSize
$Apps34.BackgroundImage = $OfficeSway
$Apps34.BackgroundImageLayout = "Zoom"
$Apps34.Add_Click({
	$Apps34.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Sway"
	if ($SEL -ne $null) {
		get-appxpackage *Sway* | remove-appxpackage
		$Apps34.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Sway* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps34.FlatStyle = $Pop
	}
	$Apps34.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Sway"
if ($SEL -eq $null) {
	$Apps34.Text = "Sway"
	$Apps34.Enabled = $false
	$Apps34.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Sway"
if ($SEL -eq $null) {
	$Apps34.FlatStyle = $Flat
} else {
	$Apps34.FlatStyle = $Pop
}



$Apps35 = New-Object System.Windows.Forms.Button
$Apps35.Location = New-Object System.Drawing.Size(128,256)
$Apps35.Size = $DefaultDrawingSize
$Apps35.BackgroundImage = $Microsoft3DViewer
$Apps35.BackgroundImageLayout = "Zoom"
$Apps35.Add_Click({
	$Apps35.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
	if ($SEL -ne $null) {
		get-appxpackage *3DViewer* | remove-appxpackage
		$Apps35.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *3DViewer* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps35.FlatStyle = $Pop
	}
	$Apps35.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
if ($SEL -eq $null) {
	$Apps35.Text = "View 3D"
	$Apps35.Enabled = $false
	$Apps35.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "3DViewer"
if ($SEL -eq $null) {
	$Apps35.FlatStyle = $Flat
} else {
	$Apps35.FlatStyle = $Pop
}



$Apps36 = New-Object System.Windows.Forms.Button
$Apps36.Location = New-Object System.Drawing.Size(192,256)
$Apps36.Size = $DefaultDrawingSize
$Apps36.BackgroundImage = $Print3D
$Apps36.BackgroundImageLayout = "Zoom"
$Apps36.Add_Click({
	$Apps36.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
	if ($SEL -ne $null) {
		get-appxpackage *Print3D* | remove-appxpackage
		$Apps36.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Print3D* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps36.FlatStyle = $Pop
	}
	$Apps36.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
if ($SEL -eq $null) {
	$Apps36.Text = "Print 3D"
	$Apps36.Enabled = $false
	$Apps36.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Print3D"
if ($SEL -eq $null) {
	$Apps36.FlatStyle = $Flat
} else {
	$Apps36.FlatStyle = $Pop
}



$Apps37 = New-Object System.Windows.Forms.Button
$Apps37.Location = New-Object System.Drawing.Size(256,256)
$Apps37.Size = $DefaultDrawingSize
$Apps37.BackgroundImage = $WindowsSoundRecorder
$Apps37.BackgroundImageLayout = "Zoom"
$Apps37.Add_Click({
	$Apps37.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
	if ($SEL -ne $null) {
		get-appxpackage *SoundRecorder* | remove-appxpackage
		$Apps37.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *SoundRecorder* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps37.FlatStyle = $Pop
	}
	$Apps37.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
if ($SEL -eq $null) {
	$Apps37.Text = "Voice Recorder"
	$Apps37.Enabled = $false
	$Apps37.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "SoundRecorder"
if ($SEL -eq $null) {
	$Apps37.FlatStyle = $Flat
} else {
	$Apps37.FlatStyle = $Pop
}



$Apps38 = New-Object System.Windows.Forms.Button
$Apps38.Location = New-Object System.Drawing.Size(320,256)
$Apps38.Size = $DefaultDrawingSize
$Apps38.BackgroundImage = $BingWeather
$Apps38.BackgroundImageLayout = "Zoom"
$Apps38.Add_Click({
	$Apps38.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
	if ($SEL -ne $null) {
		get-appxpackage *BingWeather* | remove-appxpackage
		$Apps38.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *BingWeather* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps38.FlatStyle = $Pop
	}
	$Apps38.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
if ($SEL -eq $null) {
	$Apps38.Text = "Weather"
	$Apps38.Enabled = $false
	$Apps38.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "BingWeather"
if ($SEL -eq $null) {
	$Apps38.FlatStyle = $Flat
} else {
	$Apps38.FlatStyle = $Pop
}



$Apps39 = New-Object System.Windows.Forms.Button
$Apps39.Location = New-Object System.Drawing.Size(384,256)
$Apps39.Size = $DefaultDrawingSize
$Apps39.BackgroundImage = $MicrosoftHoloLens
$Apps39.BackgroundImageLayout = "Zoom"
$Apps39.Add_Click({
	$Apps39.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Holographic"
	if ($SEL -ne $null) {
		get-appxpackage *Holographic* | remove-appxpackage
		$Apps39.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Holographic* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps39.FlatStyle = $Pop
	}
	$Apps39.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Holographic"
if ($SEL -eq $null) {
	$Apps39.Text = "Windows Holographic"
	$Apps39.Enabled = $false
	$Apps39.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Holographic"
if ($SEL -eq $null) {
	$Apps39.FlatStyle = $Flat
} else {
	$Apps39.FlatStyle = $Pop
}



$Apps40 = New-Object System.Windows.Forms.Button
$Apps40.Location = New-Object System.Drawing.Size(448,256)
$Apps40.Size = $DefaultDrawingSize
$Apps40.BackgroundImage = $XboxApp
$Apps40.BackgroundImageLayout = "Zoom"
$Apps40.Add_Click({
	$Apps40.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
	if ($SEL -ne $null) {
		get-appxpackage *XboxApp* | remove-appxpackage
		$Apps40.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *XboxApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps40.FlatStyle = $Pop
	}
	$Apps40.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
if ($SEL -eq $null) {
	$Apps40.Text = "Xbox"
	$Apps40.Enabled = $false
	$Apps40.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "XboxApp"
if ($SEL -eq $null) {
	$Apps40.FlatStyle = $Flat
} else {
	$Apps40.FlatStyle = $Pop
}



$Apps41 = New-Object System.Windows.Forms.Button
$Apps41.Location = New-Object System.Drawing.Size(0,320)
$Apps41.Size = $DefaultDrawingSize
$Apps41.BackgroundImage = $XboxGameOverlay
$Apps41.BackgroundImageLayout = "Zoom"
$Apps41.Add_Click({
	$Apps41.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
	if ($SEL -ne $null) {
		get-appxpackage *Xbox*Overlay* | remove-appxpackage
		$Apps41.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Xbox*Overlay* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps41.FlatStyle = $Pop
	}
	$Apps41.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
if ($SEL -eq $null) {
	$Apps41.Text = "Xbox Game Overlay"
	$Apps41.Enabled = $false
	$Apps41.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Overlay"
if ($SEL -eq $null) {
	$Apps41.FlatStyle = $Flat
} else {
	$Apps41.FlatStyle = $Pop
}



$Apps42 = New-Object System.Windows.Forms.Button
$Apps42.Location = New-Object System.Drawing.Size(64,320)
$Apps42.Size = $DefaultDrawingSize
$Apps42.BackgroundImage = $WindowsStore
$Apps42.BackgroundImageLayout = "Zoom"
$Apps42.Add_Click({
	$Apps42.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
	if ($SEL -ne $null) {
		get-appxpackage *WindowsStore* | remove-appxpackage
		$Apps42.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *WindowsStore* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Apps42.FlatStyle = $Pop
	}
	$Apps42.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
if ($SEL -eq $null) {
	$Apps42.Text = "Windows Store"
	$Apps42.Enabled = $false
	$Apps42.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WindowsStore"
if ($SEL -eq $null) {
	$Apps42.FlatStyle = $Flat
} else {
	$Apps42.FlatStyle = $Pop
}



$Extensions1 = New-Object System.Windows.Forms.Button
$Extensions1.Location = New-Object System.Drawing.Size(128,320)
$Extensions1.Size = $DefaultDrawingSize
$Extensions1.Text = "Heif Image" # temporary till icon
# $Extensions1.Image = $DefaultImage
# $Extensions1.BackgroundImageLayout = "Zoom"
$Extensions1.Add_Click({
	$Extensions1.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
	if ($SEL -ne $null) {
		get-appxpackage *HEIFImageExtension* | remove-appxpackage
		$Extensions1.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *HEIFImageExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions1.FlatStyle = $Pop
	}
	$Extensions1.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
if ($SEL -eq $null) {
	$Extensions1.Text = "Heif Image"
	$Extensions1.Enabled = $false
	$Extensions1.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "HEIFImageExtension"
if ($SEL -eq $null) {
	$Extensions1.FlatStyle = $Flat
} else {
	$Extensions1.FlatStyle = $Pop
}



$Extensions2 = New-Object System.Windows.Forms.Button
$Extensions2.Location = New-Object System.Drawing.Size(192,320)
$Extensions2.Size = $DefaultDrawingSize
$Extensions2.Text = "MPEG-2 Video" # temporary till icon
# $Extensions2.Image = $DefaultImage
# $Extensions2.BackgroundImageLayout = "Zoom"
$Extensions2.Add_Click({
	$Extensions2.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
	if ($SEL -ne $null) {
		get-appxpackage *MPEG2VideoExtension* | remove-appxpackage
		$Extensions2.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *MPEG2VideoExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions2.FlatStyle = $Pop
	}
	$Extensions2.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
if ($SEL -eq $null) {
	$Extensions2.Text = "MPEG-2 Video"
	$Extensions2.Enabled = $false
	$Extensions2.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "MPEG2VideoExtension"
if ($SEL -eq $null) {
	$Extensions2.FlatStyle = $Flat
} else {
	$Extensions2.FlatStyle = $Pop
}



$Extensions3 = New-Object System.Windows.Forms.Button
$Extensions3.Location = New-Object System.Drawing.Size(256,320)
$Extensions3.Size = $DefaultDrawingSize
$Extensions3.Text = "VP9 Video" # temporary till icon
# $Extensions3.Image = $DefaultImage
# $Extensions3.BackgroundImageLayout = "Zoom"
$Extensions3.Add_Click({
	$Extensions3.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
	if ($SEL -ne $null) {
		get-appxpackage *VP9VideoExtensions* | remove-appxpackage
		$Extensions3.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *VP9VideoExtensions* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions3.FlatStyle = $Pop
	}
	$Extensions3.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
if ($SEL -eq $null) {
	$Extensions3.Text = "VP9 Video"
	$Extensions3.Enabled = $false
	$Extensions3.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "VP9VideoExtensions"
if ($SEL -eq $null) {
	$Extensions3.FlatStyle = $Flat
} else {
	$Extensions3.FlatStyle = $Pop
}



$Extensions4 = New-Object System.Windows.Forms.Button
$Extensions4.Location = New-Object System.Drawing.Size(320,320)
$Extensions4.Size = $DefaultDrawingSize
$Extensions4.Text = "Web Media" # temporary till icon
# $Extensions4.Image = $DefaultImage
# $Extensions4.BackgroundImageLayout = "Zoom"
$Extensions4.Add_Click({
	$Extensions4.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
	if ($SEL -ne $null) {
		get-appxpackage *WebMediaExtensions* | remove-appxpackage
		$Extensions4.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *WebMediaExtensions* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions4.FlatStyle = $Pop
	}
	$Extensions4.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
if ($SEL -eq $null) {
	$Extensions4.Text = "Web Media"
	$Extensions4.Enabled = $false
	$Extensions4.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WebMediaExtensions"
if ($SEL -eq $null) {
	$Extensions4.FlatStyle = $Flat
} else {
	$Extensions4.FlatStyle = $Pop
}



$Extensions5 = New-Object System.Windows.Forms.Button
$Extensions5.Location = New-Object System.Drawing.Size(384,320)
$Extensions5.Size = $DefaultDrawingSize
$Extensions5.Text = "WebP Image" # temporary till icon
# $Extensions5.Image = $DefaultImage
# $Extensions5.BackgroundImageLayout = "Zoom"
$Extensions5.Add_Click({
	$Extensions5.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
	if ($SEL -ne $null) {
		get-appxpackage *WebpImageExtension* | remove-appxpackage
		$Extensions5.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *WebpImageExtension* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Extensions5.FlatStyle = $Pop
	}
	$Extensions5.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
if ($SEL -eq $null) {
	$Extensions5.Text = "WebP Image"
	$Extensions5.Enabled = $false
	$Extensions5.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "WebpImageExtension"
if ($SEL -eq $null) {
	$Extensions5.FlatStyle = $Flat
} else {
	$Extensions5.FlatStyle = $Pop
}



$Bloatwares1 = New-Object System.Windows.Forms.Button
$Bloatwares1.Location = New-Object System.Drawing.Size(448,320)
$Bloatwares1.Size = $DefaultDrawingSize
$Bloatwares1.Text = "Advertising" # temporary till icon
# $Bloatwares1.Image = $DefaultImage
# $Bloatwares1.BackgroundImageLayout = "Zoom"
$Bloatwares1.Add_Click({
	$Bloatwares1.Cursor = $WaitCursor
	CurrentInstallCheck
	$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
	if ($SEL -ne $null) {
		get-appxpackage *Advertising* | remove-appxpackage
		$Bloatwares1.FlatStyle = $Flat
	} else {
		Get-AppxPackage -allusers *Advertising* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
		$Bloatwares1.FlatStyle = $Pop
	}
	$Bloatwares1.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})
AllInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
if ($SEL -eq $null) {
	$Bloatwares1.Text = "Advertising"
	$Bloatwares1.Enabled = $false
	$Bloatwares1.Image = $DefaultImage
}
CurrentInstallCheck
$SEL = Select-String -Path .\test.txt -Pattern "Advertising"
if ($SEL -eq $null) {
	$Bloatwares1.FlatStyle = $Flat
} else {
	$Bloatwares1.FlatStyle = $Pop
}



$Features1 = New-Object System.Windows.Forms.Button
$Features1.Location = New-Object System.Drawing.Size(0,416)
$Features1.Size = $DefaultDrawingSize
$Features1.BackgroundImage = $QuickAssist
$Features1.BackgroundImageLayout = "Zoom"
$Features1.Add_Click({
	$Features1.Cursor = $WaitCursor
	Remove-WindowsCapability -online -name App.Support.ContactSupport~~~~0.0.1.0
	Remove-WindowsCapability -online -name App.Support.QuickAssist~~~~0.0.1.0
	$Features1.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})

$Options1 = New-Object System.Windows.Forms.Button
$Options1.Location = New-Object System.Drawing.Size(0,512)
$Options1.Size = $DefaultDrawingSize
$Options1.Text = "Windows Start Menu"
$Options1.Image = $DefaultImage
$Options1.BackgroundImageLayout = "Zoom"
$Options1.Add_Click({ [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin"); })
$Options1.Cursor = $HandCursor

$Options2 = New-Object System.Windows.Forms.Button
$Options2.Location = New-Object System.Drawing.Size(64,512)
$Options2.Size = $DefaultDrawingSize
$Options2.Text = "Toggle (Un)install"
$Options2.Image = $DefaultImage
$Options2.BackgroundImageLayout = "Zoom"
$Options2.Add_Click({ $Form.Text = "Toggle (Un)install" })
$Options2.Enabled = $false

$Options3 = New-Object System.Windows.Forms.Button
$Options3.Location = New-Object System.Drawing.Size(128,512)
$Options3.Size = $DefaultDrawingSize
$Options3.Text = "Currently Installed"
$Options3.Image = $DefaultImage
$Options3.BackgroundImageLayout = "Zoom"
$Options3.Add_Click({
	$Options3.Cursor = $WaitCursor
	$HostName = [System.Net.Dns]::GetHostName()
	$CurrentUserAppTextFile = $PSScriptRoot + "\test_currentuser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $CurrentUserAppTextFile`"
	move test.txt $CurrentUserAppTextFile
	$AllUserAppTextFile = $PSScriptRoot + "\test_alluser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $AllUserAppTextFile`"
	move test.txt $AllUserAppTextFile
	& notepad.exe $CurrentUserAppTextFile
	$Options3.Cursor = $HandCursor
})

$Options4 = New-Object System.Windows.Forms.Button
$Options4.Location = New-Object System.Drawing.Size(192,512)
$Options4.Size = $DefaultDrawingSize
$Options4.Text = "Reinstall Defaults"
$Options4.Image = $DefaultImage
$Options4.BackgroundImageLayout = "Zoom"
$Options4.Add_Click({
	$Options4.Cursor = $WaitCursor
	Get-AppXPackage -AllUsers | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"}
	$Options4.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})

$Options5 = New-Object System.Windows.Forms.Button
$Options5.Location = New-Object System.Drawing.Size(256,512)
$Options5.Size = $DefaultDrawingSize
$Options5.Text = "Uninstall All Of It"
$Options5.Image = $DefaultImage
$Options5.BackgroundImageLayout = "Zoom"
$Options5.Add_Click({
	$Options5.Cursor = $WaitCursor
	Get-appxpackage | Remove-appxpackage
	$Options5.Cursor = $HandCursor
	# [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin");
})

$Options6 = New-Object System.Windows.Forms.Button
$Options6.Location = New-Object System.Drawing.Size(320,512)
$Options6.Size = $DefaultDrawingSize
$Options6.Text = "Reload"
$Options6.Image = $DefaultImage
$Options6.BackgroundImageLayout = "Zoom"
$Options6.Add_Click({
	$Options6.Cursor = $WaitCursor
	$TestReload = $PSScriptRoot + "\test.bat"
	& $TestReload
	$Options6.Cursor = $HandCursor
})

$Options7 = New-Object System.Windows.Forms.Button
$Options7.Location = New-Object System.Drawing.Size(384,512)
$Options7.Size = $DefaultDrawingSize
$Options7.Image = $DefaultImage
$Options7.BackgroundImageLayout = "Zoom"
if (!([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
	$Options7.Text = "Become Admin"
	$Options7.Add_Click({
		$Form.Cursor = $WaitCursor
		Start-Process powershell.exe "-Windowstyle Hidden -NoProfile -ExecutionPolicy Bypass -File `"$PSCommandPath`"" -Verb RunAs
		[environment]::exit(0)
	})
	$Options7.Cursor = $HandCursor
} else {
	$Options7.Enabled = $false
	$Options7.Text = "Already Admin"
	$Options7.Add_Click({
		$Options7.Text = "Admin"
	})
	$Options7.Cursor = $NoCursor
}

$Options8 = New-Object System.Windows.Forms.Button
$Options8.Location = New-Object System.Drawing.Size(448,512)
$Options8.Size = $DefaultDrawingSize
$Options8.Text = "Exit"
$Options8.Image = $DefaultImage
$Options8.BackgroundImageLayout = "Zoom"
$Options8.Add_Click({
	$Options8.Cursor = $WaitCursor
	[environment]::exit(0)
})

$groupBox.Controls.Add($Apps1)
$groupBox.Controls.Add($Apps2)
$groupBox.Controls.Add($Apps3)
$groupBox.Controls.Add($Apps4)
$groupBox.Controls.Add($Apps5)
$groupBox.Controls.Add($Apps6)
$groupBox.Controls.Add($Apps7)
$groupBox.Controls.Add($Apps8)
$groupBox.Controls.Add($Apps9)
$groupBox.Controls.Add($Apps10)
$groupBox.Controls.Add($Apps11)
$groupBox.Controls.Add($Apps12)
$groupBox.Controls.Add($Apps13)
$groupBox.Controls.Add($Apps14)
$groupBox.Controls.Add($Apps15)
$groupBox.Controls.Add($Apps16)
$groupBox.Controls.Add($Apps17)
$groupBox.Controls.Add($Apps18)
$groupBox.Controls.Add($Apps19)
$groupBox.Controls.Add($Apps20)
$groupBox.Controls.Add($Apps21)
$groupBox.Controls.Add($Apps22)
$groupBox.Controls.Add($Apps23)
$groupBox.Controls.Add($Apps24)
$groupBox.Controls.Add($Apps25)
$groupBox.Controls.Add($Apps26)
$groupBox.Controls.Add($Apps27)
$groupBox.Controls.Add($Apps28)
$groupBox.Controls.Add($Apps29)
$groupBox.Controls.Add($Apps30)
$groupBox.Controls.Add($Apps31)
$groupBox.Controls.Add($Apps32)
$groupBox.Controls.Add($Apps33)
$groupBox.Controls.Add($Apps34)
$groupBox.Controls.Add($Apps35)
$groupBox.Controls.Add($Apps36)
$groupBox.Controls.Add($Apps37)
$groupBox.Controls.Add($Apps38)
$groupBox.Controls.Add($Apps39)
$groupBox.Controls.Add($Apps40)
$groupBox.Controls.Add($Apps41)
$groupBox.Controls.Add($Apps42)

$Apps1.Cursor = $HandCursor
$Apps2.Cursor = $HandCursor
$Apps3.Cursor = $HandCursor
$Apps4.Cursor = $HandCursor
$Apps5.Cursor = $HandCursor
$Apps6.Cursor = $HandCursor
$Apps7.Cursor = $HandCursor
$Apps8.Cursor = $HandCursor
$Apps9.Cursor = $HandCursor
$Apps10.Cursor = $HandCursor
$Apps11.Cursor = $HandCursor
$Apps12.Cursor = $HandCursor
$Apps13.Cursor = $HandCursor
$Apps14.Cursor = $HandCursor
$Apps15.Cursor = $HandCursor
$Apps16.Cursor = $HandCursor
$Apps17.Cursor = $HandCursor
$Apps18.Cursor = $HandCursor
$Apps19.Cursor = $HandCursor
$Apps20.Cursor = $HandCursor
$Apps21.Cursor = $HandCursor
$Apps22.Cursor = $HandCursor
$Apps23.Cursor = $HandCursor
$Apps24.Cursor = $HandCursor
$Apps25.Cursor = $HandCursor
$Apps26.Cursor = $HandCursor
$Apps27.Cursor = $HandCursor
$Apps28.Cursor = $HandCursor
$Apps29.Cursor = $HandCursor
$Apps30.Cursor = $HandCursor
$Apps31.Cursor = $HandCursor
$Apps32.Cursor = $HandCursor
$Apps33.Cursor = $HandCursor
$Apps34.Cursor = $HandCursor
$Apps35.Cursor = $HandCursor
$Apps36.Cursor = $HandCursor
$Apps37.Cursor = $HandCursor
$Apps38.Cursor = $HandCursor
$Apps39.Cursor = $HandCursor
$Apps40.Cursor = $HandCursor
$Apps41.Cursor = $HandCursor
$Apps42.Cursor = $HandCursor

$groupBox.Controls.Add($Extensions1)
$groupBox.Controls.Add($Extensions2)
$groupBox.Controls.Add($Extensions3)
$groupBox.Controls.Add($Extensions4)
$groupBox.Controls.Add($Extensions5)

$Extensions1.Cursor = $HandCursor
$Extensions2.Cursor = $HandCursor
$Extensions3.Cursor = $HandCursor
$Extensions4.Cursor = $HandCursor
$Extensions5.Cursor = $HandCursor

$groupBox.Controls.Add($reload)

$reload.Cursor = $HandCursor

$groupBox.Controls.Add($Bloatwares1)
$groupBox.Controls.Add($Features1)

$Bloatwares1.Cursor = $HandCursor
$Features1.Cursor = $HandCursor

$groupBox.Controls.Add($Options1)
$groupBox.Controls.Add($Options2)
$groupBox.Controls.Add($Options3)
$groupBox.Controls.Add($Options4)
$groupBox.Controls.Add($Options5)
$groupBox.Controls.Add($Options6)
$groupBox.Controls.Add($Options7)
$groupBox.Controls.Add($Options8)

$Options1.Cursor = $HandCursor
$Options2.Cursor = $HandCursor
$Options3.Cursor = $HandCursor
$Options4.Cursor = $HandCursor
$Options5.Cursor = $HandCursor
$Options6.Cursor = $HandCursor
$Options7.Cursor = $HandCursor
$Options8.Cursor = $HandCursor

#### Title - Powershell GUI Tool ###################################################
#### $Label = New-Object System.Windows.Forms.Label
#### $LabelFont = New-Object System.Drawing.Font("Calibri",18,[System.Drawing.FontStyle]::Bold)
#### $Label.Font = $LabelFont
#### $Label.Text = "Select Apps To " + $action
#### $Label.AutoSize = $True
#### $Label.Location = New-Object System.Drawing.Size(415,40) 
#### $Form.Controls.Add($Label)
 
#### Input window with "Server name" label ##########################################
#### $InputBox = New-Object System.Windows.Forms.TextBox 
#### $InputBox.Location = New-Object System.Drawing.Size(10,50) 
#### $InputBox.Size = New-Object System.Drawing.Size(180,20) 
#### $Form.Controls.Add($InputBox)
#### $Label2 = New-Object System.Windows.Forms.Label
#### $Label2.Text = "Server name:"
#### $Label2.AutoSize = $True
#### $Label2.Location = New-Object System.Drawing.Size(15,30) 
#### $Form.Controls.Add($Label2)
 
###################### END BUTTONS ######################################################
 
#### Output Box Field ###############################################################
#### $outputBox = New-Object System.Windows.Forms.RichTextBox
#### $outputBox.Location = New-Object System.Drawing.Size(200,100) 
#### $outputBox.Size = New-Object System.Drawing.Size(780,265)
#### $outputBox.Font = New-Object System.Drawing.Font("Consolas", 8 ,[System.Drawing.FontStyle]::Regular)
#### $outputBox.MultiLine = $True
#### $outputBox.ScrollBars = "Vertical"
#### $outputBox.Text = " `
####   Welcome to your first Powershell GUI Tool - Type Domain Controller name and press one of the available buttons."
#### $Form.Controls.Add($outputBox)
 
##############################################
 
$Form.Add_Shown({$Form.Activate()})
[void] $Form.ShowDialog()